<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>
	<xsl:template match="/">
		<html>
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  			<xsl:variable name="reverseProxy"><xsl:value-of select="listing/props/reverseProxy"/></xsl:variable>
			<xsl:variable name="deleteOK"><xsl:value-of select="listing/props/delete"/></xsl:variable>
			<xsl:variable name="makedirOK"><xsl:value-of select="listing/props/makedir"/></xsl:variable>
			<xsl:variable name="uploadOK"><xsl:value-of select="listing/props/upload"/></xsl:variable>
			<xsl:variable name="downloadOK"><xsl:value-of select="listing/props/download"/></xsl:variable>
			<xsl:variable name="authenticated"><xsl:value-of select="listing/props/authenticated"/></xsl:variable>
			<xsl:variable name="site_privs"><xsl:value-of select="listing/props/site_privs"/></xsl:variable>
			<!-- Web Localizations -->
			<xsl:variable name="web_loc_path"><xsl:value-of select="listing/localized/web_loc_path"/></xsl:variable><!--Path:-->
			<xsl:variable name="web_loc_quota_space"><xsl:value-of select="listing/localized/web_loc_quota_space"/></xsl:variable><!--Quota Space Availabe :-->
			<xsl:variable name="web_loc_searching"><xsl:value-of select="listing/localized/web_loc_searching"/></xsl:variable><!--Searching...-->
			<xsl:variable name="web_loc_name"><xsl:value-of select="listing/localized/web_loc_name"/></xsl:variable><!--Name-->
			<xsl:variable name="web_loc_contains"><xsl:value-of select="listing/localized/web_loc_contains"/></xsl:variable><!--contains-->
			<xsl:variable name="web_loc_starts_with"><xsl:value-of select="listing/localized/web_loc_starts_with"/></xsl:variable><!--starts with-->
			<xsl:variable name="web_loc_ends_with"><xsl:value-of select="listing/localized/web_loc_ends_with"/></xsl:variable><!--ends with-->
			<xsl:variable name="web_loc_equals"><xsl:value-of select="listing/localized/web_loc_equals"/></xsl:variable><!--equals-->
			<xsl:variable name="web_loc_modified"><xsl:value-of select="listing/localized/web_loc_modified"/></xsl:variable><!--modified-->
			<xsl:variable name="web_loc_before"><xsl:value-of select="listing/localized/web_loc_before"/></xsl:variable><!--before-->
			<xsl:variable name="web_loc_after"><xsl:value-of select="listing/localized/web_loc_after"/></xsl:variable><!--after-->
			<xsl:variable name="web_loc_size_is"><xsl:value-of select="listing/localized/web_loc_size_is"/></xsl:variable><!--Size is-->
			<xsl:variable name="web_loc_bigger_than"><xsl:value-of select="listing/localized/web_loc_bigger_than"/></xsl:variable><!--bigger than-->
			<xsl:variable name="web_loc_smaller_than"><xsl:value-of select="listing/localized/web_loc_smaller_than"/></xsl:variable><!--smaller than-->
			<xsl:variable name="web_loc_kilobytes"><xsl:value-of select="listing/localized/web_loc_kilobytes"/></xsl:variable><!--Kilobytes-->
			<xsl:variable name="web_loc_type_is_a"><xsl:value-of select="listing/localized/web_loc_type_is_a"/></xsl:variable><!--Type is a-->
			<xsl:variable name="web_loc_file"><xsl:value-of select="listing/localized/web_loc_file"/></xsl:variable><!--file-->
			<xsl:variable name="web_loc_folder"><xsl:value-of select="listing/localized/web_loc_folder"/></xsl:variable><!--folder-->
			<xsl:variable name="web_loc_additional_info_contains"><xsl:value-of select="listing/localized/web_loc_additional_info_contains"/></xsl:variable><!--Additional info contains :-->
			<xsl:variable name="web_loc_start_search"><xsl:value-of select="listing/localized/web_loc_start_search"/></xsl:variable><!--Start Search-->
			<xsl:variable name="web_loc_no_user_options_available"><xsl:value-of select="listing/localized/web_loc_no_user_options_available"/></xsl:variable><!--Sorry, no user options are enabled for your user.-->
			<xsl:variable name="web_loc_show_hide_dot_items"><xsl:value-of select="listing/localized/web_loc_show_hide_dot_items"/></xsl:variable><!--Show / Hide Items that start with dot.-->
			<xsl:variable name="web_loc_updating_account"><xsl:value-of select="listing/localized/web_loc_updating_account"/></xsl:variable><!--Updating Account...-->
			<xsl:variable name="web_loc_change_password"><xsl:value-of select="listing/localized/web_loc_change_password"/></xsl:variable><!--Change Password-->
			<xsl:variable name="web_loc_current_password"><xsl:value-of select="listing/localized/web_loc_current_password"/></xsl:variable><!--Current Password :-->
			<xsl:variable name="web_loc_new_password"><xsl:value-of select="listing/localized/web_loc_new_password"/></xsl:variable><!--New Password :-->
			<xsl:variable name="web_loc_confirm_new_password"><xsl:value-of select="listing/localized/web_loc_confirm_new_password"/></xsl:variable><!--Confirm New Password :-->
			<xsl:variable name="web_loc_folder_name"><xsl:value-of select="listing/localized/web_loc_folder_name"/></xsl:variable><!--Folder Name :-->
			<xsl:variable name="web_loc_create_folder"><xsl:value-of select="listing/localized/web_loc_create_folder"/></xsl:variable><!--Create Folder-->
			<xsl:variable name="web_loc_ok"><xsl:value-of select="listing/localized/web_loc_ok"/></xsl:variable><!--OK-->
			<xsl:variable name="web_loc_form_required_entry_missing"><xsl:value-of select="listing/localized/web_loc_form_required_entry_missing"/></xsl:variable><!--A required entry has not been filled out.\r\n\r\nPlease fill out all required items before clicking submit.-->
			<xsl:variable name="web_loc_loading_admin"><xsl:value-of select="listing/localized/web_loc_loading_admin"/></xsl:variable><!--Loading Remote Administration\r\n\r\nPlease wait while the CrushFTP.jar is downloaded and loaded...\r\nThis may take a few minutes as the file is around 5Mb.-->
			<xsl:variable name="web_loc_delete_folders"><xsl:value-of select="listing/localized/web_loc_delete_folders"/></xsl:variable><!--You have selected to delete one or more folders.\r\nThe folder and its contents will be deleted permanently!\r\n\r\nAre you sure you want to delete these folders?-->
			<xsl:variable name="web_loc_no_items_to_delete"><xsl:value-of select="listing/localized/web_loc_no_items_to_delete"/></xsl:variable><!--You have not selected any items to delete.-->
			<xsl:variable name="web_loc_delete_selected_items_permanently"><xsl:value-of select="listing/localized/web_loc_delete_selected_items_permanently"/></xsl:variable><!--Delete selected files permanently?-->
			<xsl:variable name="web_loc_no_items_selected_for_download"><xsl:value-of select="listing/localized/web_loc_no_items_selected_for_download"/></xsl:variable><!--You have not selected any items to download.-->
			<xsl:variable name="web_loc_enter_download_zip_filename"><xsl:value-of select="listing/localized/web_loc_enter_download_zip_filename"/></xsl:variable><!--Enter a name for the downloaded zip file:-->
			<xsl:variable name="web_loc_archive"><xsl:value-of select="listing/localized/web_loc_archive"/></xsl:variable><!--Archive-->
			<xsl:variable name="web_loc_delete_this_file"><xsl:value-of select="listing/localized/web_loc_delete_this_file"/></xsl:variable><!--Delete this file?-->
			<xsl:variable name="web_loc_delete_folder_and_contents"><xsl:value-of select="listing/localized/web_loc_delete_folder_and_contents"/></xsl:variable><!--You have selected to delete a folder.\r\nThe folder and its contents will be deleted!\r\n\r\nAre you sure you want to delete this folder?-->
			<xsl:variable name="web_loc_overwrite_existing_file"><xsl:value-of select="listing/localized/web_loc_overwrite_existing_file"/></xsl:variable><!--Overwite existing file:-->
			<xsl:variable name="web_loc_finished"><xsl:value-of select="listing/localized/web_loc_finished"/></xsl:variable><!--Finished-->
			<xsl:variable name="web_loc_required_entry_not_filled_out"><xsl:value-of select="listing/localized/web_loc_required_entry_not_filled_out"/></xsl:variable><!--A required entry has not been filled out.\r\n\r\nPlease fill out all required items before clicking upload.-->
			<xsl:variable name="web_loc_uploading"><xsl:value-of select="listing/localized/web_loc_uploading"/></xsl:variable><!--Uploading...-->
			<xsl:variable name="web_loc_upload_took"><xsl:value-of select="listing/localized/web_loc_upload_took"/></xsl:variable><!--Upload took-->
			<xsl:variable name="web_loc_min"><xsl:value-of select="listing/localized/web_loc_min"/></xsl:variable><!--min-->
			<xsl:variable name="web_loc_secs"><xsl:value-of select="listing/localized/web_loc_secs"/></xsl:variable><!--secs-->
			<xsl:variable name="web_loc_show_dot_items"><xsl:value-of select="listing/localized/web_loc_show_dot_items"/></xsl:variable><!--Show '.' Items-->
			<xsl:variable name="web_loc_hide_dot_items"><xsl:value-of select="listing/localized/web_loc_hide_dot_items"/></xsl:variable><!--Hide '.' Items-->

			<xsl:variable name="web_loc_no_items_selected"><xsl:value-of select="listing/localized/web_loc_no_items_selected"/></xsl:variable><!--No Items selected.-->
			<xsl:variable name="web_loc_no_items_have_been_copied_cut_no_paste"><xsl:value-of select="listing/localized/web_loc_no_items_have_been_copied_cut_no_paste"/></xsl:variable><!--No items have been copied/cut, so you cannot paste-->
			<xsl:variable name="web_loc_basket_full"><xsl:value-of select="listing/localized/web_loc_basket_full"/></xsl:variable><!--Too many items for the basket. (This is a limitation by your web browser.)-->
			<xsl:variable name="web_loc_items_added_to_basket"><xsl:value-of select="listing/localized/web_loc_items_added_to_basket"/></xsl:variable><!--items added to basket.-->
			<xsl:variable name="web_loc_there_are_now"><xsl:value-of select="listing/localized/web_loc_there_are_now"/></xsl:variable><!--There are now-->
			<xsl:variable name="web_loc_items_in_your_basket"><xsl:value-of select="listing/localized/web_loc_items_in_your_basket"/></xsl:variable><!--items in your basket.-->
			<xsl:variable name="web_loc_delete"><xsl:value-of select="listing/localized/web_loc_delete"/></xsl:variable><!--Delete-->
			<xsl:variable name="web_loc_rename"><xsl:value-of select="listing/localized/web_loc_rename"/></xsl:variable><!--Rename-->


			<head>
				<title>
					<xsl:if test="string-length(normalize-space(listing/props/Customizations/title)) != 0">
						<xsl:value-of select="listing/props/Customizations/title" disable-output-escaping="yes"/>
					</xsl:if>
					<xsl:if test="string-length(normalize-space(listing/props/Customizations/title)) = 0">
						CrushFTP WebInterface
					</xsl:if>
				</title>

				<link href="{$reverseProxy}/WebInterface/style.css" rel="stylesheet" type="text/css" />
				<script type="text/javascript" src="{$reverseProxy}/WebInterface/crushftp_functions.js"></script>
				<style type="text/css">
					#spinnerDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#crushUploaderDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#uploadContainerDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#searchDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#userOptionsDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#createFolderDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#crushBasketDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#messageDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#pasteDiv
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}
					#uploadContainer
					{
						font-family: "Lucida Grande";
						background-color: #FFFFFF;
						margin: 0px;
						border: 5px solid #464646;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/popupBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/popupBorderColor)) != 0">
							border: 5px solid #<xsl:value-of select="listing/props/Customizations/popupBorderColor"/>;
						</xsl:if>
					}

					#buttonlist li a,#buttonlist li a:link,#buttonlist li a:visited,#buttonlist li a:active {
						<xsl:choose>
							<xsl:when test="string-length(normalize-space(listing/props/Customizations/buttonBackgroundColor)) != 0">
								background-color:#<xsl:value-of select="listing/props/Customizations/buttonBackgroundColor"/>;
							</xsl:when>
							<xsl:otherwise>
								background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/buttonupbg.jpg);
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/buttonBackgroundImage)) != 0">
							background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/<xsl:value-of select="listing/props/Customizations/buttonBackgroundImage"/>);
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(normalize-space(listing/props/Customizations/buttonFontColor)) != 0">
								color:#<xsl:value-of select="listing/props/Customizations/buttonFontColor"/>;
							</xsl:when>
						</xsl:choose>
					}
					#buttondiv {
						<xsl:choose>
							<xsl:when test="string-length(normalize-space(listing/props/Customizations/buttonBackgroundColor)) != 0">
								background-color:#<xsl:value-of select="listing/props/Customizations/buttonBackgroundColor"/>;
							</xsl:when>
							<xsl:otherwise>
								background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/buttonupbg.jpg);
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/buttonBackgroundImage)) != 0">
							background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/<xsl:value-of select="listing/props/Customizations/buttonBackgroundImage"/>);
						</xsl:if>
					}
					#buttonlist li a:hover {
						<xsl:choose>
							<xsl:when test="string-length(normalize-space(listing/props/Customizations/buttonHoverColor)) != 0">
								background-color:#<xsl:value-of select="listing/props/Customizations/buttonHoverColor"/>;
							</xsl:when>
							<xsl:otherwise>
								background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/buttondownbg.jpg);
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/buttonHoverImage)) != 0">
							background-image: url(<xsl:value-of select="$reverseProxy"/>/WebInterface/images/<xsl:value-of select="listing/props/Customizations/buttonHoverImage"/>);
						</xsl:if>
						<xsl:choose>
							<xsl:when test="string-length(normalize-space(listing/props/Customizations/buttonHoverFontColor)) != 0">
								color:#<xsl:value-of select="listing/props/Customizations/buttonHoverFontColor"/>;
							</xsl:when>
						</xsl:choose>
					}
					
					.listHeaderTD {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listHeaderTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listHeaderTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listHeaderTextStyle"/>;
						</xsl:if>
					}
					.itemListCount {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listHeaderTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listHeaderTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHeaderTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listHeaderTextStyle"/>;
						</xsl:if>
					}
					.listItem {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.listItem:link {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.listItem:active {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.listItem:visited {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.listItem:hover {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/listTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/listTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/listTextStyle"/>;
						</xsl:if>
						text-decoration: none;
					}

					#footerDiv {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/footerTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/footerTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/footerTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/footerTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/footerTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/footerTextStyle"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/footerTextAlign)) != 0">
							text-align: <xsl:value-of select="listing/props/Customizations/footerTextAlign"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/footerBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/footerBackgroundColor"/>;
						</xsl:if>
					}

					#headerDiv {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/headerTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/headerTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/headerTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/headerTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/headerTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/headerTextStyle"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/headerTextAlign)) != 0">
							text-align: <xsl:value-of select="listing/props/Customizations/headerTextAlign"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/headerBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/headerBackgroundColor"/>;
						</xsl:if>
					}

					#quotaDiv {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/quotaTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/quotaTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/quotaTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/quotaTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/quotaTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/quotaTextStyle"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/quotaTextAlign)) != 0">
							text-align: <xsl:value-of select="listing/props/Customizations/quotaTextAlign"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/quotaBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/quotaBackgroundColor"/>;
						</xsl:if>
					}

					#commentsDiv {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/commentsTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/commentsTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/commentsTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/commentsTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/commentsTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/commentsTextStyle"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/commentsTextAlign)) != 0">
							text-align: <xsl:value-of select="listing/props/Customizations/commentsTextAlign"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/commentsBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/commentsBackgroundColor"/>;
						</xsl:if>
					}

					#pathdivcontainer
					{
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/pathBackgroundColor"/>;
						</xsl:if>
					}
					.pathTD {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
					}
					.pathItem {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.pathItem:link {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.pathItem:active {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}

					.pathItem:visited {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
						text-decoration: underline;
					}
					.pathItem:hover {
						color: #000000;
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/pathTextColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextSize)) != 0">
							font-size:<xsl:value-of select="listing/props/Customizations/pathTextSize"/>px;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/pathTextStyle)) != 0">
							font-weight:<xsl:value-of select="listing/props/Customizations/pathTextStyle"/>;
						</xsl:if>
						text-decoration: none;
					}
					#contentDiv
					{
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/mainBorderColor)) != 0">
							border-bottom: 3px solid #<xsl:value-of select="listing/props/Customizations/mainBorderColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/listBackgroundColor"/>;
						</xsl:if>
					}
					.ToolTextHover span{ 
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/tooltipBackgroundColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/tooltipBackgroundColor"/>;
						</xsl:if>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/tooltipTextColor)) != 0">
							color: #<xsl:value-of select="listing/props/Customizations/tooltipTextColor"/>;
						</xsl:if>
					}
					.highlighted
					{
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listAlternateColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/listAlternateColor"/>;
						</xsl:if>
					}
					.highlightedHover
					{
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/listHoverColor)) != 0">
							background-color: #<xsl:value-of select="listing/props/Customizations/listHoverColor"/>;
						</xsl:if>
					}
				</style>
			</head>
			<body bgcolor="#CCCCCC" style="padding: 5px 5px 5px 5px;">
				<xsl:if test="string-length(normalize-space(listing/props/Customizations/mainBackgroundColor)) != 0">
					<xsl:attribute name="bgcolor"><xsl:value-of select="listing/props/Customizations/mainBackgroundColor"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="string-length(normalize-space(listing/props/Customizations/mainBackgroundImage)) != 0">
					<xsl:attribute name="background"><xsl:value-of select="listing/props/Customizations/mainBackgroundImage"/></xsl:attribute>
				</xsl:if>
				<img src="{$reverseProxy}/WebInterface/images/buttondownbg.jpg" alt="" width="1" height="1" border="0" style="position: absolute; left: -3000px; top: -100px;" />
				<img src="{$reverseProxy}/WebInterface/images/buttonupbg.jpg" alt="" width="1" height="1" border="0" style="position: absolute; left: -3000px; top: -100px;" />
				<img src="{$reverseProxy}/WebInterface/images/wheel.gif" alt="" width="1" height="1" border="0" style="position: absolute; left: -3000px; top: -100px;" />
				<div id="headerdiv">
					<xsl:if test="string-length(normalize-space(listing/props/Customizations/header)) != 0">
						<xsl:value-of select="normalize-space(listing/props/Customizations/header)" disable-output-escaping="yes"/>
					</xsl:if>
					<table width="100%"><tr><td>
						<xsl:if test="string-length(normalize-space(listing/props/Customizations/logoAlign)) != 0">
							<xsl:attribute name="align"><xsl:value-of select="listing/props/Customizations/logoAlign"/></xsl:attribute>
						</xsl:if>
						<a>
							<xsl:if test="contains($site_privs,'(WEB_ADMIN)')">
								<xsl:attribute name="href">javascript:launchCrushWebStart();</xsl:attribute>
							</xsl:if>
							<img src="{$reverseProxy}/WebInterface/images/logo.gif" alt="CrushFTP" border="0">
								<xsl:if test="string-length(normalize-space(listing/props/Customizations/logo)) != 0">
									<xsl:attribute name="src"><xsl:value-of select="$reverseProxy"/>/WebInterface/images/<xsl:value-of select="listing/props/Customizations/logo"/></xsl:attribute>
								</xsl:if>
							</img>
						</a>
					</td>
					<td>
						<img src="{$reverseProxy}/WebInterface/images/white.gif" alt="" border="0" style="visibility:hidden;" onerror="badAlternateLogo()" id="alternateLogo"></img>
					</td>
					</tr></table>
				</div>
				<div id="webAdmin"></div>
				<div id="hideScreenDiv" class="transparent"></div>

				<div id="pathdivcontainer">
					<xsl:variable name="message"><xsl:value-of select="listing/props/message" disable-output-escaping="yes"/></xsl:variable>
					<xsl:if test="string-length(normalize-space($message)) > 0">
						<font color="red"><b><xsl:value-of select="normalize-space($message)" disable-output-escaping="yes"/></b></font><br />
					</xsl:if>
					<table cellspacing="0" cellpadding="0"><tr>
						<td class="pathTD"><a href="" id="homeAnchor"><img src="{$reverseProxy}/WebInterface/images/home.gif" alt="left" border="0" /></a> </td>
						<td class="pathTD"><xsl:value-of select="normalize-space($web_loc_path)" disable-output-escaping="yes"/></td>
						<td class="pathTD"><div id="pathdiv"></div></td>
						<td class="pathTD"><a><xsl:attribute name="href"><xsl:value-of select="$reverseProxy"/><xsl:value-of select="listing/props/current_dir"/></xsl:attribute><img src="{$reverseProxy}/WebInterface/images/reload.gif" alt="Reload" width="16" height="16" border="0" title="Reload" id="ReloadImg" /></a></td>
					</tr></table>
					<script type="text/javascript">
						var reverseProxy = "<xsl:value-of select="listing/props/reverseProxy"/>";
						var generatedPathItems = new Array();
						var username = "<xsl:value-of select="listing/props/username"/>";
						var crushAuth = "<xsl:value-of select="listing/props/CrushAuth"/>";
						var current_dir = "<xsl:value-of select="listing/props/current_dir"/>";
						//PATHS START
						generatedPathItems = new Array();
						<xsl:for-each select="listing/paths/paths_subitem">
							generatedPathItems[<xsl:value-of select="position()"/>-1] = new Object();
							generatedPathItems[<xsl:value-of select="position()"/>-1].href = "<xsl:value-of select="href"/>";
							generatedPathItems[<xsl:value-of select="position()"/>-1].name = "<xsl:value-of select="name"/>";
						</xsl:for-each>
						//PATHS END
						buildPath(generatedPathItems,username);
						var pathItems = generatedPathItems;
					</script>
				</div>

				<script defer="true">
					setTimeout("updateButtonBar()",1000);
				</script>

				<div id="contentDiv">
					<table cellspacing="0" cellpadding="0" width="100%">
						<tr>
							<td class="buttonTD">
								<div id="buttondiv" style="z-index:9;">
									<ul id="buttonlist">
										<xsl:for-each select="listing/props/Buttons/Buttons_subitem">
											<xsl:choose>
												<xsl:when test="starts-with(normalize-space(key),'(login)')">
													<xsl:if test="normalize-space($authenticated) = 'false'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(logout)')">
													<xsl:if test="normalize-space($authenticated) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(delete)')">
													<xsl:if test="normalize-space($deleteOK) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(mkdir)')">
													<xsl:if test="normalize-space($makedirOK) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(upload)')">
													<xsl:if test="normalize-space($uploadOK) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(zip)')">
													<xsl:if test="normalize-space($downloadOK) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:when test="starts-with(normalize-space(key),'(options)')">
													<xsl:if test="normalize-space($authenticated) = 'true'"><xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template></xsl:if>
												</xsl:when>
												<xsl:otherwise>
													<xsl:call-template name="displayButton"><xsl:with-param name="reverseProxy" select="$reverseProxy" /><xsl:with-param name="name" select="key" /><xsl:with-param name="href" select="value" /></xsl:call-template>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</ul>
									<div class="ClearFloatHack"> </div>
								</div>
								<div id="buttondivPopups">
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<div id="SpaceBelowButtons">
									<div id="quotaDiv">
										<xsl:if test="normalize-space(listing/props/Quota) != ''">
											<xsl:value-of select="normalize-space($web_loc_quota_space)" disable-output-escaping="yes"/><xsl:value-of select="listing/props/Quota" />
										</xsl:if>
									</div>
									<div id="commentsDiv">
										<xsl:if test="normalize-space(listing/props/comment) != ''">
											<xsl:value-of select="normalize-space(listing/props/comment)" disable-output-escaping="yes"/>
										</xsl:if>
									</div>
								</div>
								<form>
									<div id="dirListing"></div>
									<div id="itemListCount" class="itemListCount"></div>
									<script type="text/javascript">

										var web_loc_form_required_entry_missing = "<xsl:value-of select="$web_loc_form_required_entry_missing"/>";
										var web_loc_ok = "<xsl:value-of select="$web_loc_ok"/>";
										var web_loc_loading_admin = "<xsl:value-of select="$web_loc_loading_admin"/>";
										var web_loc_delete_folders = "<xsl:value-of select="$web_loc_delete_folders"/>";
										var web_loc_no_items_to_delete = "<xsl:value-of select="$web_loc_no_items_to_delete"/>";
										var web_loc_delete_selected_items_permanently = "<xsl:value-of select="$web_loc_delete_selected_items_permanently"/>";
										var web_loc_no_items_selected_for_download = "<xsl:value-of select="$web_loc_no_items_selected_for_download"/>";
										var web_loc_enter_download_zip_filename = "<xsl:value-of select="$web_loc_enter_download_zip_filename"/>";
										var web_loc_archive = "<xsl:value-of select="$web_loc_archive"/>";
										var web_loc_delete_this_file = "<xsl:value-of select="$web_loc_delete_this_file"/>";
										var web_loc_delete_folder_and_contents = "<xsl:value-of select="$web_loc_delete_folder_and_contents"/>";
										var web_loc_overwrite_existing_file = "<xsl:value-of select="$web_loc_overwrite_existing_file"/>";
										var web_loc_finished = "<xsl:value-of select="$web_loc_finished"/>";
										var web_loc_required_entry_not_filled_out = "<xsl:value-of select="$web_loc_required_entry_not_filled_out"/>";
										var web_loc_uploading = "<xsl:value-of select="$web_loc_uploading"/>";
										var web_loc_upload_took = "<xsl:value-of select="$web_loc_upload_took"/>";
										var web_loc_min = "<xsl:value-of select="$web_loc_min"/>";
										var web_loc_secs = "<xsl:value-of select="$web_loc_secs"/>";
										var allow_alt_logo = <xsl:value-of select="listing/props/display_alt_logo"/>;

										var web_loc_no_items_selected = "<xsl:value-of select="$web_loc_no_items_selected"/>";
										var web_loc_no_items_have_been_copied_cut_no_paste = "<xsl:value-of select="$web_loc_no_items_have_been_copied_cut_no_paste"/>";
										var web_loc_basket_full = "<xsl:value-of select="$web_loc_basket_full"/>";
										var web_loc_items_added_to_basket = "<xsl:value-of select="$web_loc_items_added_to_basket"/>";
										var web_loc_there_are_now = "<xsl:value-of select="$web_loc_there_are_now"/>";
										var web_loc_items_in_your_basket = "<xsl:value-of select="$web_loc_items_in_your_basket"/>";
										var web_loc_delete = "<xsl:value-of select="$web_loc_delete"/>";
										var web_loc_rename = "<xsl:value-of select="$web_loc_rename"/>";

										
										var generatedListItems = new Array();
										var NAME_COL = 0;
										var SIZE_COL = 1;
										var SIZEF_COL = 2;
										var DATE_COL = 3;
										var TYPE_COL = 4;
										var PRIVS_COL = 5;
										var PATH_COL = 6;
										var VIRTUAL_COL = 7;
										var COMMENT_COL = 8;
										//LISTING START
										generatedListItems = new Array();
										<xsl:for-each select="listing/items/items_subitem">
											generatedListItems[<xsl:value-of select="position()"/>-1] = new Array();
											generatedListItems[<xsl:value-of select="position()"/>-1][NAME_COL] = "<xsl:value-of select="name"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][SIZE_COL] = "<xsl:value-of select="normalize-space(size)"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][SIZEF_COL] = "<xsl:value-of select="normalize-space(sizeFormatted)"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][DATE_COL] = "<xsl:value-of select="normalize-space(modified)"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][TYPE_COL] = "<xsl:value-of select="normalize-space(type)"/>";
											if (generatedListItems[<xsl:value-of select="position()"/>-1][TYPE_COL] == "DIR") generatedListItems[<xsl:value-of select="position()"/>-1][SIZE_COL] = "0";
											generatedListItems[<xsl:value-of select="position()"/>-1][PRIVS_COL] = "rename=<xsl:value-of select="normalize-space(rename)"/>,read=<xsl:value-of select="normalize-space(download)"/>,delete=<xsl:value-of select="normalize-space(delete)"/>,deletedir=<xsl:value-of select="normalize-space(deletedir)"/>,inherited=<xsl:value-of select="normalize-space(inherited)"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][PATH_COL] = "<xsl:value-of select="root_dir"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][VIRTUAL_COL] = "<xsl:value-of select="normalize-space(is_virtual)"/>";
											generatedListItems[<xsl:value-of select="position()"/>-1][COMMENT_COL] = "<xsl:value-of select="normalize-space(comment)"/>";
										</xsl:for-each>
										//LISTING END
										var disabledColumns = "";
										<xsl:if test="normalize-space(listing/props/Customizations/CHECK_COL) = 'true'">disabledColumns += ",CHECK_COL,";</xsl:if>
										<xsl:if test="normalize-space(listing/props/Customizations/NAME_COL) = 'true'">disabledColumns += ",NAME_COL,";</xsl:if>
										<xsl:if test="normalize-space(listing/props/Customizations/SIZE_COL) = 'true'">disabledColumns += "S,IZE_COL,";</xsl:if>
										<xsl:if test="normalize-space(listing/props/Customizations/MODIFIED_COL) = 'true'">disabledColumns += ",MODIFIED_COL,";</xsl:if>
										<xsl:if test="normalize-space(listing/props/Customizations/RENAME_COL) = 'true'">disabledColumns += ",RENAME_COL,";</xsl:if>
										<xsl:if test="normalize-space(listing/props/Customizations/DELETE_COL) = 'true'">disabledColumns += ",DELETE_COL,";</xsl:if>
										var columnNames = new Array();
										for (var reseter=0; reseter!=20; reseter++) { columnNames[reseter] = ""; }
										columnNames[NAME_COL] = "Name";
										columnNames[SIZE_COL] = "Size";
										columnNames[DATE_COL] = "Modified";
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/NAME_COL_TEXT)) != 0">columnNames[NAME_COL]="<xsl:value-of select="listing/props/Customizations/NAME_COL_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/SIZE_COL_TEXT)) != 0">columnNames[SIZE_COL]="<xsl:value-of select="listing/props/Customizations/SIZE_COL_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/MODIFIED_COL_TEXT)) != 0">columnNames[DATE_COL]="<xsl:value-of select="listing/props/Customizations/MODIFIED_COL_TEXT"/>";</xsl:if>
										var itemCountText = "? items";
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/ITEM_COUNT_TEXT)) != 0">itemCountText="<xsl:value-of select="listing/props/Customizations/ITEM_COUNT_TEXT"/>";</xsl:if>
										var dateFormatStr = "MM/dd/yyyy";
										var timeFormatStr = "hh:mm:ss aa";
										var browserUploadText = "Click 'Browse...' button to choose a file to upload.";
										var browserUploadStartText = "Start Uploading...";
										var openNewWindowExtensions = "";
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/DATE_FORMAT_TEXT)) != 0">dateFormatStr="<xsl:value-of select="listing/props/Customizations/DATE_FORMAT_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/TIME_FORMAT_TEXT)) != 0">timeFormatStr="<xsl:value-of select="listing/props/Customizations/TIME_FORMAT_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/BROWSER_UPLOAD_TEXT)) != 0">browserUploadText="<xsl:value-of select="listing/props/Customizations/BROWSER_UPLOAD_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/BROWSER_UPLOAD_START_TEXT)) != 0">browserUploadStartText="<xsl:value-of select="listing/props/Customizations/BROWSER_UPLOAD_START_TEXT"/>";</xsl:if>
										<xsl:if test="string-length(normalize-space(listing/props/Customizations/OPEN_NEW_WINDOW_EXTENSIONS)) != 0">openNewWindowExtensions="<xsl:value-of select="listing/props/Customizations/OPEN_NEW_WINDOW_EXTENSIONS"/>";</xsl:if>
										var siteStr = "<xsl:value-of select="$site_privs"/>";

										var defaultSortColumnIndex = 0;

										var defaultSortDirection = "-1";

										<xsl:if test="string-length(normalize-space(listing/props/Customizations/listDefaultSortColumnIndex)) != 0">defaultSortColumnIndex=<xsl:value-of select="listing/props/Customizations/listDefaultSortColumnIndex"/>-1;</xsl:if>

										<xsl:if test="string-length(normalize-space(listing/props/Customizations/listDefaultSortDirection)) != 0">defaultSortDirection="<xsl:value-of select="listing/props/Customizations/listDefaultSortDirection"/>";</xsl:if>

										if (defaultSortDirection.toUpperCase() == "UP") defaultSortDirection = "1";

										if (defaultSortDirection.toUpperCase() == "DOWN") defaultSortDirection = "-1";

										if (defaultSortColumnIndex == 2) defaultSortColumnIndex = 3;

										var listItems = generatedListItems;

										sort(defaultSortColumnIndex,defaultSortDirection*1);
										generatedListItems = listItems;

										buildListing(generatedListItems,reverseProxy,disabledColumns,columnNames);
									</script>
								</form>
							</td>
						</tr>
					</table>
				</div>
				<div id="footerDiv">
					<xsl:if test="string-length(normalize-space(listing/props/Customizations/footer)) != 0">
						<xsl:value-of select="normalize-space(listing/props/Customizations/footer)" disable-output-escaping="yes"/>
					</xsl:if>
				</div>
				<div style="visibility:hidden; position:absolute; left:-50000px; top:-50000px;">
					<form name="crushftp_action" enctype="multipart/form-data" method="post">
						<input type="hidden" name="the_action" value="" />
						<input type="hidden" name="item1" value="" />
						<input type="hidden" name="item2" value="" />
						<input type="hidden" name="item3" value="" />
					</form>
				</div>
				<div id="crushUploaderDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<table><tr>
						<td valign="top"><img style="float: right;" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="Close" width="16" height="16" border="0" title="Close" onClick="cancelUploader();window.location.reload();"></img></td>
					</tr><tr>
						<td>
							<_applet name="CrushUploaderMaster" id="CrushUploaderMaster" code="crushftp.CrushUpplet.class" archive="{$reverseProxy}/WebInterface/CrushUpplet.jar" width="800" height="550">
								<xsl:if test="string-length(normalize-space(listing/props/UploadForm64Zip)) != 0">
									<xsl:attribute name="width">800</xsl:attribute>
									<xsl:attribute name="height">550</xsl:attribute>
								</xsl:if>

								<_param name="url" value="urlMaster"/>
								<_param name="fileList" value="fileListMaster"/>
								<_param name="resumeDefault" value=""><xsl:attribute name="value"><xsl:value-of select="listing/props/crushuploader_resume_default"/></xsl:attribute></_param>
								<_param name="zipDefault" value=""><xsl:attribute name="value"><xsl:value-of select="listing/props/crushuploader_zip_default"/></xsl:attribute></_param>
								<_param name="UploadForm64Zip" value=""><xsl:attribute name="value"><xsl:value-of select="listing/props/UploadForm64Zip"/></xsl:attribute></_param>
								<_param name="localizationProp" value=""><xsl:attribute name="value"><xsl:value-of select="listing/props/localizationProp"/></xsl:attribute></_param>
								<_param name="CrushAuth"><xsl:attribute name="value"><xsl:value-of select="listing/props/CrushAuth"/></xsl:attribute></_param>
								<_param name="reverseProxy" value="{$reverseProxy}"/>
							</_applet>
						</td>
					</tr></table>
				</div>
				<div id="spinnerDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<br/>
					<br/>
					<br/>
					<table><tr><td><center><img src="{$reverseProxy}/WebInterface/images/wheel.gif" alt="" /></center></td></tr></table>
					<br/>
					<div id="spinnerProgressMaster"></div>
				</div>
				<div id="searchDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<form onSubmit="return showSpinner('{$web_loc_searching}')" enctype="multipart/form-data" method="post">
					<input type="hidden" name="the_action" value="SEARCH" />
						<table><tr>
							<td>
								<table><tr>
									<td nowrap="nowrap"><input type="checkbox" name="name1" checked="checked"/> <xsl:value-of select="normalize-space($web_loc_name)" disable-output-escaping="yes"/> <select name="name1_action"><option value="contains"><xsl:value-of select="normalize-space($web_loc_contains)" disable-output-escaping="yes"/></option><option value="starts with"><xsl:value-of select="normalize-space($web_loc_starts_with)" disable-output-escaping="yes"/></option><option value="ends with"><xsl:value-of select="normalize-space($web_loc_ends_with)" disable-output-escaping="yes"/></option><option value="equals"><xsl:value-of select="normalize-space($web_loc_equals)" disable-output-escaping="yes"/></option></select></td>
									<td nowrap="nowrap"><input type="text" name="name1_value" size="25" /></td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="name2" checked="checked"/> <xsl:value-of select="normalize-space($web_loc_name)" disable-output-escaping="yes"/> <select name="name2_action"><option value="contains"><xsl:value-of select="normalize-space($web_loc_contains)" disable-output-escaping="yes"/></option><option value="starts with"><xsl:value-of select="normalize-space($web_loc_starts_with)" disable-output-escaping="yes"/></option><option value="ends with"><xsl:value-of select="normalize-space($web_loc_ends_with)" disable-output-escaping="yes"/></option><option value="equals"><xsl:value-of select="normalize-space($web_loc_equals)" disable-output-escaping="yes"/></option></select></td>

									<td nowrap="nowrap"><input type="text" name="name2_value" size="25" /></td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="date1"/> <xsl:value-of select="normalize-space($web_loc_modified)" disable-output-escaping="yes"/> <select name="date1_action"><option value="before"><xsl:value-of select="normalize-space($web_loc_before)" disable-output-escaping="yes"/></option><option value="after"><xsl:value-of select="normalize-space($web_loc_after)" disable-output-escaping="yes"/></option></select></td>
									<td nowrap="nowrap"><input type="text" name="date1_value" size="12" />mm/dd/yyyy</td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="date2"/> <xsl:value-of select="normalize-space($web_loc_modified)" disable-output-escaping="yes"/> <select name="date2_action"><option value="before"><xsl:value-of select="normalize-space($web_loc_before)" disable-output-escaping="yes"/></option><option value="after"><xsl:value-of select="normalize-space($web_loc_after)" disable-output-escaping="yes"/></option></select></td>

									<td nowrap="nowrap"><input type="text" name="date2_value" size="12" />mm/dd/yyyy</td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="size1" /> <xsl:value-of select="normalize-space($web_loc_size_is)" disable-output-escaping="yes"/> <select name="size1_action"><option value="bigger than"><xsl:value-of select="normalize-space($web_loc_bigger_than)" disable-output-escaping="yes"/></option><option value="smaller than"><xsl:value-of select="normalize-space($web_loc_smaller_than)" disable-output-escaping="yes"/></option></select></td>
									<td nowrap="nowrap"><input type="text" name="size1_value" size="12" /> <xsl:value-of select="normalize-space($web_loc_kilobytes)" disable-output-escaping="yes"/></td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="type1" /> <xsl:value-of select="normalize-space($web_loc_type_is_a)" disable-output-escaping="yes"/> <select name="type1_action"><option value="file"><xsl:value-of select="normalize-space($web_loc_file)" disable-output-escaping="yes"/></option><option value="folder"><xsl:value-of select="normalize-space($web_loc_folder)" disable-output-escaping="yes"/></option></select></td>
									<td nowrap="nowrap"></td>
								</tr><tr>
									<td nowrap="nowrap"><input type="checkbox" name="meta1" /> <xsl:value-of select="normalize-space($web_loc_additional_info_contains)" disable-output-escaping="yes"/> </td>
									<td nowrap="nowrap"><input type="text" name="meta1_value" size="40" /></td>
								</tr></table>
							</td>
							<td valign="bottom"><input type="submit" value="{$web_loc_start_search}" onClick="getSearchProgress();"/></td>
							<td valign="top"><img style="float: right;" onClick="javascript:disposeParentDiv(this);" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="close" width="16" height="16" border="0" onMouseOver="this.style.cursor = 'hand';this.style.cursor = 'pointer';"/></td>
						</tr></table>
					</form>
				</div>
				<div id="userOptionsDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<table>
						<tr>
							<td valign="top"><img style="float: right;" onClick="javascript:disposeParentDiv(this);" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="close" width="16" height="16" border="0" onMouseOver="this.style.cursor = 'hand';this.style.cursor = 'pointer';"/></td>
						</tr>
						<xsl:if test="not(contains($site_privs,'(SITE_DOT)'))">
							<xsl:if test="not(contains($site_privs,'(SITE_PASS)'))">
								<tr>
									<td align="center">
										<xsl:value-of select="normalize-space($web_loc_no_user_options_available)" disable-output-escaping="yes"/>
									</td>
								</tr>
							</xsl:if>
						</xsl:if>
						
						<xsl:if test="contains($site_privs,'(SITE_DOT)')">
							<tr>
								<td align="center">
									<table><tr>
										<td align="center" colspan="2"><b><xsl:value-of select="normalize-space($web_loc_show_hide_dot_items)" disable-output-escaping="yes"/></b></td>
									</tr><tr>
										<td><input type="button" value="{$web_loc_hide_dot_items}" onClick="createCookie('hideInvisibles','true',365);buildListing();"/></td>
										<td><input type="button" value="{$web_loc_show_dot_items}" onClick="createCookie('hideInvisibles','false',365);buildListing();"/></td>
									</tr></table>
								</td>
							</tr>
						</xsl:if>
						<tr>
							<td><hr/></td>
						</tr>
						<xsl:if test="contains($site_privs,'(SITE_PASS)')">
							<tr>
								<td>
									<form onSubmit="return showSpinner('{$web_loc_updating_account}')" enctype="multipart/form-data" method="post">
									<input type="hidden" name="the_action" value="USEROPTIONS" />
										<table><tr>
											<td>
												<table><tr>
													<td align="center" colspan="2"><b><xsl:value-of select="normalize-space($web_loc_change_password)" disable-output-escaping="yes"/></b></td>
												</tr><tr>
													<td><xsl:value-of select="normalize-space($web_loc_current_password)" disable-output-escaping="yes"/></td>
													<td><input type="password" name="current_password" size="25" /></td>
												</tr><tr>
													<td><xsl:value-of select="normalize-space($web_loc_new_password)" disable-output-escaping="yes"/></td>
													<td><input type="password" name="new_password1" size="25" /></td>
												</tr><tr>
													<td><xsl:value-of select="normalize-space($web_loc_confirm_new_password)" disable-output-escaping="yes"/></td>
													<td><input type="password" name="new_password2" size="25" /></td>
												</tr></table>
											</td>
											<td><input type="submit" value="{$web_loc_change_password}" /></td>
										</tr></table>
									</form>
								</td>
							</tr>
						</xsl:if>
					</table>
				</div>
				<div id="createFolderDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<form onSubmit="the_action.value = 'MKD '+ the_dir_name.value; return validateMKD(the_dir_name.value)" enctype="multipart/form-data" method="post">
					<input type="hidden" name="the_action" value="MKD " />
						<table><tr>
							<td>
								<table><tr>
									<td><xsl:value-of select="normalize-space($web_loc_folder_name)" disable-output-escaping="yes"/></td>
									<td><input type="text" name="the_dir_name" id="the_dir_name" size="25" /></td>
								</tr></table>
							</td>
							<td><input type="submit" value="{$web_loc_create_folder}" /></td>
							<td valign="top"><img style="float: right;" onClick="javascript:disposeParentDiv(this);" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="close" width="16" height="16" border="0" onMouseOver="this.style.cursor = 'hand';this.style.cursor = 'pointer';"/></td>
						</tr></table>
					</form>
				</div>
				<div id="crushBasketDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<table><tr>
						<td>
							<div id="basketContent" style="background-color: #FFFFFF;"> </div>
						</td>
						<td valign="top"><img style="float: right;" onClick="javascript:disposeParentDiv(this);" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="close" width="16" height="16" border="0" onMouseOver="this.style.cursor = 'hand';this.style.cursor = 'pointer';"/></td>
					</tr></table>
				</div>
				<xsl:if test="normalize-space(listing/props/upload) = 'true'">
					<div id="uploadContainerDivMaster" style="position:absolute; visibility:hidden; width:50%; left:-50000px; top:-50000px;">
						<table><tr>
							<td>
								<div id="uploadDiv" style=""> </div>
								<div id="uploadQueueDiv" style=""> </div>
								<div id="uploadMetaMaster" style="">
									<form name="uploadMetaMasterForm" id="uploadMetaMasterForm" onSubmit="return returnFalse()">
										<input type="hidden" name="UploadFormId"><xsl:attribute name="value"><xsl:value-of select="listing/props/UploadForm/id"/></xsl:attribute></input>
										<table>
											<xsl:for-each select="listing/props/UploadForm/entries/entries_subitem">
												<tr>
												<td><xsl:if test="normalize-space(required) = 'true'">*</xsl:if></td>
												<td><xsl:value-of select="label" disable-output-escaping="yes"/></td>
												<xsl:if test="normalize-space(type) = 'label'">
													<td>
														<xsl:value-of select="value" disable-output-escaping="yes"/>
													</td>
												</xsl:if>
												<xsl:if test="normalize-space(type) = 'text'">
													<td>
														<input type="text">
															<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
															<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
															<xsl:attribute name="size"><xsl:value-of select="size"/></xsl:attribute>
															<xsl:attribute name="value"><xsl:value-of select="value" disable-output-escaping="yes"/></xsl:attribute>
														</input>
													</td>
												</xsl:if>
												<xsl:if test="normalize-space(type) = 'textarea'">
													<td>
														<textarea><xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if><xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute><xsl:attribute name="cols"><xsl:value-of select="cols"/></xsl:attribute><xsl:attribute name="rows"><xsl:value-of select="rows"/></xsl:attribute><xsl:value-of select="value"/></textarea>
													</td>
												</xsl:if>
												<xsl:if test="normalize-space(type) = 'checkbox'">
													<td>
														<xsl:for-each select="options/options_subitem">
															<input type="checkbox">
															<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
																<xsl:attribute name="name"><xsl:value-of select="../../name"/>_<xsl:value-of select="position()"/></xsl:attribute>
																<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
															</input>
															<xsl:value-of select="." disable-output-escaping="yes"/>
														</xsl:for-each>
													</td>
												</xsl:if>
												<xsl:if test="normalize-space(type) = 'radio'">
													<td>
														<xsl:for-each select="options/options_subitem">
															<input type="radio">
															<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
																<xsl:attribute name="name"><xsl:value-of select="../../name"/></xsl:attribute>
																<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
															</input>
															<xsl:value-of select="." disable-output-escaping="yes"/>
														</xsl:for-each>
													</td>
												</xsl:if>
												<xsl:if test="normalize-space(type) = 'combo'">
													<td>
														<select>
															<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
															<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
															<xsl:for-each select="options/options_subitem">
																<option>
																	<xsl:if test="contains(.,':')">
																		<xsl:attribute name="value"><xsl:value-of select="substring-before(.,':')"/></xsl:attribute>
																		<xsl:value-of select="substring-after(.,':')"/>
																	</xsl:if>
																	<xsl:if test="not(contains(.,':'))">
																		<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
																		<xsl:value-of select="."/>
																	</xsl:if>
																</option>
															</xsl:for-each>
														</select>
													</td>
												</xsl:if>
												</tr>
											</xsl:for-each>
										</table>
									</form>
								</div>
							</td>
							<td valign="top"><img style="float: right;" src="{$reverseProxy}/WebInterface/images/delete.gif" alt="Close" width="16" height="16" border="0" title="Close" id="uploadCloseImage" onClick="window.location.reload();"></img></td>
						</tr></table>
					</div>
				</xsl:if>
				<iframe id="post_frame" name="post_frame" width="1" height="1" src="{$reverseProxy}/WebInterface/blank.html" style="visibility:hidden;position:absolute;"></iframe>
				<div id="messageDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<form name="messageForm" id="messageForm" method="post" enctype="multipart/form-data" onSubmit="return validateMessageForm(this)" target="post_frame">
						<input type="hidden" name="the_action" value="MESSAGECONFIRM"/>
						<input type="hidden" name="refresh" value="false"/>
						<input type="hidden" name="MessageFormId"><xsl:attribute name="value"><xsl:value-of select="listing/props/MessageFormId"/></xsl:attribute></input>
						<table>
							<xsl:for-each select="listing/props/MessageForm/entries/entries_subitem">
								<tr>
									<xsl:if test="position() = 1">
										<xsl:attribute name="id">messageRow</xsl:attribute>
									</xsl:if>
									<td><xsl:if test="normalize-space(required) = 'true'">*</xsl:if></td>
									<td><xsl:value-of select="label" disable-output-escaping="yes"/></td>
									<xsl:if test="normalize-space(type) = 'label'">
										<td>
											<xsl:value-of select="value" disable-output-escaping="yes"/>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'text'">
										<td>
											<input type="text">
												<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
												<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
												<xsl:attribute name="size"><xsl:value-of select="size"/></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="value" disable-output-escaping="yes"/></xsl:attribute>
											</input>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'textarea'">
										<td>
											<textarea><xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if><xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute><xsl:attribute name="cols"><xsl:value-of select="cols"/></xsl:attribute><xsl:attribute name="rows"><xsl:value-of select="rows"/></xsl:attribute><xsl:value-of select="value"/></textarea>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'checkbox'">
										<td>
											<xsl:for-each select="options/options_subitem">
												<input type="checkbox">
												<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
													<xsl:attribute name="name"><xsl:value-of select="../../name"/>_<xsl:value-of select="position()"/></xsl:attribute>
													<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
												</input>
												<xsl:value-of select="." disable-output-escaping="yes"/>
											</xsl:for-each>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'radio'">
										<td>
											<xsl:for-each select="options/options_subitem">
												<input type="radio">
												<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
													<xsl:attribute name="name"><xsl:value-of select="../../name"/></xsl:attribute>
													<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
												</input>
												<xsl:value-of select="." disable-output-escaping="yes"/>
											</xsl:for-each>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'combo'">
										<td>
											<select>
												<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
												<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
												<xsl:for-each select="options/options_subitem">
													<option>
														<xsl:value-of select="."/>
													</option>
												</xsl:for-each>
											</select>
										</td>
									</xsl:if>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="3" align="center"><br/><input type="submit" value=" {$web_loc_ok} "/></td>
							</tr>
						</table>
					</form>
				</div>
				<div id="pasteDivMaster" style="visibility:hidden;position:absolute; left:-50000px; top:-50000px;">
					<form name="pasteForm" id="pasteForm" method="post" enctype="multipart/form-data" onSubmit="return validatePasteForm(this)" target="post_frame">
						<input type="hidden" name="the_action" value="PASTECONFIRM"/>
						<input type="hidden" name="refresh" value="false"/>
						<input type="hidden" name="pasteFormId"><xsl:attribute name="value"><xsl:value-of select="listing/props/pasteFormId"/></xsl:attribute></input>
						<table>
							<xsl:for-each select="listing/props/pasteForm/entries/entries_subitem">
								<tr>
									<xsl:if test="position() = 1">
										<xsl:attribute name="id">pasteRow</xsl:attribute>
									</xsl:if>
									<td><xsl:if test="normalize-space(required) = 'true'">*</xsl:if></td>
									<td><xsl:value-of select="label" disable-output-escaping="yes"/></td>
									<xsl:if test="normalize-space(type) = 'label'">
										<td>
											<xsl:value-of select="value" disable-output-escaping="yes"/>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'text'">
										<td>
											<input type="text">
												<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
												<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
												<xsl:attribute name="size"><xsl:value-of select="size"/></xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="value" disable-output-escaping="yes"/></xsl:attribute>
											</input>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'textarea'">
										<td>
											<textarea><xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if><xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute><xsl:attribute name="cols"><xsl:value-of select="cols"/></xsl:attribute><xsl:attribute name="rows"><xsl:value-of select="rows"/></xsl:attribute><xsl:value-of select="value"/></textarea>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'checkbox'">
										<td>
											<xsl:for-each select="options/options_subitem">
												<input type="checkbox">
												<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
													<xsl:attribute name="name"><xsl:value-of select="../../name"/>_<xsl:value-of select="position()"/></xsl:attribute>
													<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
												</input>
												<xsl:value-of select="." disable-output-escaping="yes"/>
											</xsl:for-each>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'radio'">
										<td>
											<xsl:for-each select="options/options_subitem">
												<input type="radio">
												<xsl:if test="normalize-space(../../required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
													<xsl:attribute name="name"><xsl:value-of select="../../name"/></xsl:attribute>
													<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
												</input>
												<xsl:value-of select="." disable-output-escaping="yes"/>
											</xsl:for-each>
										</td>
									</xsl:if>
									<xsl:if test="normalize-space(type) = 'combo'">
										<td>
											<select>
												<xsl:if test="normalize-space(required) = 'true'"><xsl:attribute name="id">required</xsl:attribute></xsl:if>
												<xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
												<xsl:for-each select="options/options_subitem">
													<option>
														<xsl:value-of select="."/>
													</option>
												</xsl:for-each>
											</select>
										</td>
									</xsl:if>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="3" align="center"><br/><input type="submit" value=" {$web_loc_ok} "/></td>
							</tr>
						</table>
					</form>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="displayButton">
		<xsl:param name="reverseProxy"/>
		<xsl:param name="name"/>
		<xsl:param name="href"/>
		<xsl:choose>
			<xsl:when test="starts-with($href,'/')">
				<li><a><xsl:attribute name="href"><xsl:value-of select="$reverseProxy"/><xsl:value-of select="$href"/></xsl:attribute><xsl:attribute name="id"><xsl:value-of select="substring-after($name,':')"/>Button</xsl:attribute><xsl:value-of select="substring-after($name,':')" disable-output-escaping="yes"/></a></li>
			</xsl:when>
			<xsl:otherwise>
				<li><a><xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute><xsl:attribute name="id"><xsl:value-of select="substring-after($name,':')"/>Button</xsl:attribute><xsl:value-of select="substring-after($name,':')" disable-output-escaping="yes"/></a></li>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="formatBytes">
		<xsl:param name="data"/>
		<xsl:choose>
			<xsl:when test="string-length($data) &gt; 9"><xsl:value-of select="floor(100*($data div (1024 * 1024 * 1024))) div 100"/> Gb</xsl:when>
			<xsl:when test="string-length($data) &gt; 6"><xsl:value-of select="floor(100*($data div (1024 * 1024))) div 100"/> Mb</xsl:when>
			<xsl:when test="string-length($data) &gt; 3"><xsl:value-of select="floor(100*($data div (1024))) div 100"/> Kb</xsl:when>
			<xsl:otherwise><xsl:value-of select="$data"/> bytes</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:transform>
